# coding: utf-8

"""
    VMware Aria Automation Pipelines APIs

    Aria Automation Pipelines is a continuous integration and continuous delivery (CICD) tool that you use to build Pipelines that model the software release process in your DevOps lifecycle. By creating Pipelines, you build the code infrastructure that delivers your software rapidly and continuously.  This page describes the RESTful APIs for Aria Automation Pipelines. The APIs facilitate CRUD operations on the various resources and entities used throughout Aria Automation Pipelines (Pipelines, Endpoints, Variables, etc.) and allow operations on them (executing a Pipeline, validating an Endpoint connection, etc.).  The APIs that list collections of resources  also support OData like implementation. Below query params can be used across Aria Automation Pipelines entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/codestream/api/endpoints?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/codestream/api/endpoints?$expand=true&$top=10&$skip=2```  3. `page` and `$size` - page used in conjunction with `$size` helps in pagination of resources.      ```/codestream/api/endpoints?$expand=true&page=0&$size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /codestream/api/endpoints?$filter=startswith(name, 'ABC')     /codestream/api/endpoints?$filter=toupper(name) eq 'ABCD-JENKINS'     /codestream/api/endpoints?$filter=substringof(%27bc%27,tolower(name))     /codestream/api/endpoints?$filter=name eq 'ABCD' and project eq 'demo'   # noqa: E501

    OpenAPI spec version: 2019-10-17
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class DockerRegistryEvent1(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'create_time_in_micros': 'int',
        'link': 'str',
        'project_id': 'str',
        'update_time_in_micros': 'int',
        'created_at': 'str',
        'created_by': 'str',
        'description': 'str',
        'execution_index': 'int',
        'execution_link': 'str',
        'execution_status': 'str',
        'id': 'str',
        'image_name': 'str',
        'message': 'str',
        'name': 'str',
        'owner': 'str',
        'pipeline': 'str',
        'project': 'str',
        'repo': 'str',
        'repo_namespace': 'str',
        'tag': 'str',
        'time_stamp_in_micros': 'int',
        'updated_at': 'str',
        'updated_by': 'str',
        'version': 'str'
    }

    attribute_map = {
        'create_time_in_micros': '_createTimeInMicros',
        'link': '_link',
        'project_id': '_projectId',
        'update_time_in_micros': '_updateTimeInMicros',
        'created_at': 'createdAt',
        'created_by': 'createdBy',
        'description': 'description',
        'execution_index': 'executionIndex',
        'execution_link': 'executionLink',
        'execution_status': 'executionStatus',
        'id': 'id',
        'image_name': 'imageName',
        'message': 'message',
        'name': 'name',
        'owner': 'owner',
        'pipeline': 'pipeline',
        'project': 'project',
        'repo': 'repo',
        'repo_namespace': 'repoNamespace',
        'tag': 'tag',
        'time_stamp_in_micros': 'timeStampInMicros',
        'updated_at': 'updatedAt',
        'updated_by': 'updatedBy',
        'version': 'version'
    }

    def __init__(self, create_time_in_micros=None, link=None, project_id=None, update_time_in_micros=None, created_at=None, created_by=None, description=None, execution_index=None, execution_link=None, execution_status=None, id=None, image_name=None, message=None, name=None, owner=None, pipeline=None, project=None, repo=None, repo_namespace=None, tag=None, time_stamp_in_micros=None, updated_at=None, updated_by=None, version=None):  # noqa: E501
        """DockerRegistryEvent1 - a model defined in Swagger"""  # noqa: E501
        self._create_time_in_micros = None
        self._link = None
        self._project_id = None
        self._update_time_in_micros = None
        self._created_at = None
        self._created_by = None
        self._description = None
        self._execution_index = None
        self._execution_link = None
        self._execution_status = None
        self._id = None
        self._image_name = None
        self._message = None
        self._name = None
        self._owner = None
        self._pipeline = None
        self._project = None
        self._repo = None
        self._repo_namespace = None
        self._tag = None
        self._time_stamp_in_micros = None
        self._updated_at = None
        self._updated_by = None
        self._version = None
        self.discriminator = None
        if create_time_in_micros is not None:
            self.create_time_in_micros = create_time_in_micros
        if link is not None:
            self.link = link
        if project_id is not None:
            self.project_id = project_id
        if update_time_in_micros is not None:
            self.update_time_in_micros = update_time_in_micros
        if created_at is not None:
            self.created_at = created_at
        if created_by is not None:
            self.created_by = created_by
        if description is not None:
            self.description = description
        if execution_index is not None:
            self.execution_index = execution_index
        if execution_link is not None:
            self.execution_link = execution_link
        if execution_status is not None:
            self.execution_status = execution_status
        if id is not None:
            self.id = id
        if image_name is not None:
            self.image_name = image_name
        if message is not None:
            self.message = message
        self.name = name
        if owner is not None:
            self.owner = owner
        if pipeline is not None:
            self.pipeline = pipeline
        if project is not None:
            self.project = project
        if repo is not None:
            self.repo = repo
        if repo_namespace is not None:
            self.repo_namespace = repo_namespace
        if tag is not None:
            self.tag = tag
        if time_stamp_in_micros is not None:
            self.time_stamp_in_micros = time_stamp_in_micros
        if updated_at is not None:
            self.updated_at = updated_at
        if updated_by is not None:
            self.updated_by = updated_by
        if version is not None:
            self.version = version

    @property
    def create_time_in_micros(self):
        """Gets the create_time_in_micros of this DockerRegistryEvent1.  # noqa: E501

        This field is provided for backward compatibility. Contains the same value as the 'createdAt' field as a UNIX timestamp in microseconds  # noqa: E501

        :return: The create_time_in_micros of this DockerRegistryEvent1.  # noqa: E501
        :rtype: int
        """
        return self._create_time_in_micros

    @create_time_in_micros.setter
    def create_time_in_micros(self, create_time_in_micros):
        """Sets the create_time_in_micros of this DockerRegistryEvent1.

        This field is provided for backward compatibility. Contains the same value as the 'createdAt' field as a UNIX timestamp in microseconds  # noqa: E501

        :param create_time_in_micros: The create_time_in_micros of this DockerRegistryEvent1.  # noqa: E501
        :type: int
        """

        self._create_time_in_micros = create_time_in_micros

    @property
    def link(self):
        """Gets the link of this DockerRegistryEvent1.  # noqa: E501

        Partial URL that provides details of the resource.  # noqa: E501

        :return: The link of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._link

    @link.setter
    def link(self, link):
        """Sets the link of this DockerRegistryEvent1.

        Partial URL that provides details of the resource.  # noqa: E501

        :param link: The link of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._link = link

    @property
    def project_id(self):
        """Gets the project_id of this DockerRegistryEvent1.  # noqa: E501

        Contains project id of the entity  # noqa: E501

        :return: The project_id of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._project_id

    @project_id.setter
    def project_id(self, project_id):
        """Sets the project_id of this DockerRegistryEvent1.

        Contains project id of the entity  # noqa: E501

        :param project_id: The project_id of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._project_id = project_id

    @property
    def update_time_in_micros(self):
        """Gets the update_time_in_micros of this DockerRegistryEvent1.  # noqa: E501

        This field is provided for backward compatibility. Contains the same value as the 'updatedAt' field as a UNIX timestamp in microseconds  # noqa: E501

        :return: The update_time_in_micros of this DockerRegistryEvent1.  # noqa: E501
        :rtype: int
        """
        return self._update_time_in_micros

    @update_time_in_micros.setter
    def update_time_in_micros(self, update_time_in_micros):
        """Sets the update_time_in_micros of this DockerRegistryEvent1.

        This field is provided for backward compatibility. Contains the same value as the 'updatedAt' field as a UNIX timestamp in microseconds  # noqa: E501

        :param update_time_in_micros: The update_time_in_micros of this DockerRegistryEvent1.  # noqa: E501
        :type: int
        """

        self._update_time_in_micros = update_time_in_micros

    @property
    def created_at(self):
        """Gets the created_at of this DockerRegistryEvent1.  # noqa: E501

        Date when the entity was created. The date is in ISO 8601 with time zone  # noqa: E501

        :return: The created_at of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._created_at

    @created_at.setter
    def created_at(self, created_at):
        """Sets the created_at of this DockerRegistryEvent1.

        Date when the entity was created. The date is in ISO 8601 with time zone  # noqa: E501

        :param created_at: The created_at of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._created_at = created_at

    @property
    def created_by(self):
        """Gets the created_by of this DockerRegistryEvent1.  # noqa: E501

        The user that created this entity  # noqa: E501

        :return: The created_by of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._created_by

    @created_by.setter
    def created_by(self, created_by):
        """Sets the created_by of this DockerRegistryEvent1.

        The user that created this entity  # noqa: E501

        :param created_by: The created_by of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._created_by = created_by

    @property
    def description(self):
        """Gets the description of this DockerRegistryEvent1.  # noqa: E501

        A human-friendly description.  # noqa: E501

        :return: The description of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._description

    @description.setter
    def description(self, description):
        """Sets the description of this DockerRegistryEvent1.

        A human-friendly description.  # noqa: E501

        :param description: The description of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._description = description

    @property
    def execution_index(self):
        """Gets the execution_index of this DockerRegistryEvent1.  # noqa: E501

        Pipeline execution index.  # noqa: E501

        :return: The execution_index of this DockerRegistryEvent1.  # noqa: E501
        :rtype: int
        """
        return self._execution_index

    @execution_index.setter
    def execution_index(self, execution_index):
        """Sets the execution_index of this DockerRegistryEvent1.

        Pipeline execution index.  # noqa: E501

        :param execution_index: The execution_index of this DockerRegistryEvent1.  # noqa: E501
        :type: int
        """

        self._execution_index = execution_index

    @property
    def execution_link(self):
        """Gets the execution_link of this DockerRegistryEvent1.  # noqa: E501

        Pipeline execution link.  # noqa: E501

        :return: The execution_link of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._execution_link

    @execution_link.setter
    def execution_link(self, execution_link):
        """Sets the execution_link of this DockerRegistryEvent1.

        Pipeline execution link.  # noqa: E501

        :param execution_link: The execution_link of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._execution_link = execution_link

    @property
    def execution_status(self):
        """Gets the execution_status of this DockerRegistryEvent1.  # noqa: E501

        Pipeline execution status.  # noqa: E501

        :return: The execution_status of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._execution_status

    @execution_status.setter
    def execution_status(self, execution_status):
        """Sets the execution_status of this DockerRegistryEvent1.

        Pipeline execution status.  # noqa: E501

        :param execution_status: The execution_status of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._execution_status = execution_status

    @property
    def id(self):
        """Gets the id of this DockerRegistryEvent1.  # noqa: E501

        The id of this resource.  # noqa: E501

        :return: The id of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this DockerRegistryEvent1.

        The id of this resource.  # noqa: E501

        :param id: The id of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def image_name(self):
        """Gets the image_name of this DockerRegistryEvent1.  # noqa: E501

        Name of the image.  # noqa: E501

        :return: The image_name of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._image_name

    @image_name.setter
    def image_name(self, image_name):
        """Sets the image_name of this DockerRegistryEvent1.

        Name of the image.  # noqa: E501

        :param image_name: The image_name of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._image_name = image_name

    @property
    def message(self):
        """Gets the message of this DockerRegistryEvent1.  # noqa: E501

        Message is populated when an error occurs.  # noqa: E501

        :return: The message of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._message

    @message.setter
    def message(self, message):
        """Sets the message of this DockerRegistryEvent1.

        Message is populated when an error occurs.  # noqa: E501

        :param message: The message of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._message = message

    @property
    def name(self):
        """Gets the name of this DockerRegistryEvent1.  # noqa: E501

        A human-friendly name used as an identifier in APIs that support this option  # noqa: E501

        :return: The name of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this DockerRegistryEvent1.

        A human-friendly name used as an identifier in APIs that support this option  # noqa: E501

        :param name: The name of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """
        if name is None:
            raise ValueError("Invalid value for `name`, must not be `None`")  # noqa: E501

        self._name = name

    @property
    def owner(self):
        """Gets the owner of this DockerRegistryEvent1.  # noqa: E501

        Owner Name who triggered the event.  # noqa: E501

        :return: The owner of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._owner

    @owner.setter
    def owner(self, owner):
        """Sets the owner of this DockerRegistryEvent1.

        Owner Name who triggered the event.  # noqa: E501

        :param owner: The owner of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._owner = owner

    @property
    def pipeline(self):
        """Gets the pipeline of this DockerRegistryEvent1.  # noqa: E501

        Pipeline to be executed when event is triggered.  # noqa: E501

        :return: The pipeline of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._pipeline

    @pipeline.setter
    def pipeline(self, pipeline):
        """Sets the pipeline of this DockerRegistryEvent1.

        Pipeline to be executed when event is triggered.  # noqa: E501

        :param pipeline: The pipeline of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._pipeline = pipeline

    @property
    def project(self):
        """Gets the project of this DockerRegistryEvent1.  # noqa: E501

        The project this entity belongs to.  # noqa: E501

        :return: The project of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._project

    @project.setter
    def project(self, project):
        """Sets the project of this DockerRegistryEvent1.

        The project this entity belongs to.  # noqa: E501

        :param project: The project of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._project = project

    @property
    def repo(self):
        """Gets the repo of this DockerRegistryEvent1.  # noqa: E501

        RepoName corresponding to the event.  # noqa: E501

        :return: The repo of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._repo

    @repo.setter
    def repo(self, repo):
        """Sets the repo of this DockerRegistryEvent1.

        RepoName corresponding to the event.  # noqa: E501

        :param repo: The repo of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._repo = repo

    @property
    def repo_namespace(self):
        """Gets the repo_namespace of this DockerRegistryEvent1.  # noqa: E501

        Namespace inside the Docker Repository.  # noqa: E501

        :return: The repo_namespace of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._repo_namespace

    @repo_namespace.setter
    def repo_namespace(self, repo_namespace):
        """Sets the repo_namespace of this DockerRegistryEvent1.

        Namespace inside the Docker Repository.  # noqa: E501

        :param repo_namespace: The repo_namespace of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._repo_namespace = repo_namespace

    @property
    def tag(self):
        """Gets the tag of this DockerRegistryEvent1.  # noqa: E501

        Tag name associated with the image.  # noqa: E501

        :return: The tag of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._tag

    @tag.setter
    def tag(self, tag):
        """Sets the tag of this DockerRegistryEvent1.

        Tag name associated with the image.  # noqa: E501

        :param tag: The tag of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._tag = tag

    @property
    def time_stamp_in_micros(self):
        """Gets the time_stamp_in_micros of this DockerRegistryEvent1.  # noqa: E501

        Commit Time for the event.  # noqa: E501

        :return: The time_stamp_in_micros of this DockerRegistryEvent1.  # noqa: E501
        :rtype: int
        """
        return self._time_stamp_in_micros

    @time_stamp_in_micros.setter
    def time_stamp_in_micros(self, time_stamp_in_micros):
        """Sets the time_stamp_in_micros of this DockerRegistryEvent1.

        Commit Time for the event.  # noqa: E501

        :param time_stamp_in_micros: The time_stamp_in_micros of this DockerRegistryEvent1.  # noqa: E501
        :type: int
        """

        self._time_stamp_in_micros = time_stamp_in_micros

    @property
    def updated_at(self):
        """Gets the updated_at of this DockerRegistryEvent1.  # noqa: E501

        Date when the entity was last updated. The date is in ISO 8601 with time zone.  # noqa: E501

        :return: The updated_at of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._updated_at

    @updated_at.setter
    def updated_at(self, updated_at):
        """Sets the updated_at of this DockerRegistryEvent1.

        Date when the entity was last updated. The date is in ISO 8601 with time zone.  # noqa: E501

        :param updated_at: The updated_at of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._updated_at = updated_at

    @property
    def updated_by(self):
        """Gets the updated_by of this DockerRegistryEvent1.  # noqa: E501

        The user that last updated this entity  # noqa: E501

        :return: The updated_by of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._updated_by

    @updated_by.setter
    def updated_by(self, updated_by):
        """Sets the updated_by of this DockerRegistryEvent1.

        The user that last updated this entity  # noqa: E501

        :param updated_by: The updated_by of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._updated_by = updated_by

    @property
    def version(self):
        """Gets the version of this DockerRegistryEvent1.  # noqa: E501

        Version of the resource.  # noqa: E501

        :return: The version of this DockerRegistryEvent1.  # noqa: E501
        :rtype: str
        """
        return self._version

    @version.setter
    def version(self, version):
        """Sets the version of this DockerRegistryEvent1.

        Version of the resource.  # noqa: E501

        :param version: The version of this DockerRegistryEvent1.  # noqa: E501
        :type: str
        """

        self._version = version

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(DockerRegistryEvent1, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, DockerRegistryEvent1):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
